package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.OrhonGtxx;

/**
 * 个体信息Mapper接口
 * 
 * @author ruoyi
 * @date 2020-07-27
 */
public interface OrhonGtxxMapper 
{
    /**
     * 查询个体信息
     * 
     * @param id 个体信息ID
     * @return 个体信息
     */
    public OrhonGtxx selectOrhonGtxxById(String id);

    /**
     * 查询个体信息列表
     * 
     * @param orhonGtxx 个体信息
     * @return 个体信息集合
     */
    public List<OrhonGtxx> selectOrhonGtxxList(OrhonGtxx orhonGtxx);

    /**
     * 新增个体信息
     * 
     * @param orhonGtxx 个体信息
     * @return 结果
     */
    public int insertOrhonGtxx(OrhonGtxx orhonGtxx);

    /**
     * 修改个体信息
     * 
     * @param orhonGtxx 个体信息
     * @return 结果
     */
    public int updateOrhonGtxx(OrhonGtxx orhonGtxx);

    /**
     * 删除个体信息
     * 
     * @param id 个体信息ID
     * @return 结果
     */
    public int deleteOrhonGtxxById(String id);

    /**
     * 批量删除个体信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteOrhonGtxxByIds(String[] ids);
}
